container-run:
	docker run \
		--name hexlet-simple-deploy \
		-p 127.0.0.1:5000:5000/tcp \
		-e SERVER_MESSAGE=weryha_rulez \
		hexletcomponents/devops-example-app:latest

container-start:
	docker start hexlet-simple-deploy

container-stop:
	docker stop hexlet-simple-deploy

install-ansible-dependecies:
	ansible-galaxy install -r ansible/requirements.yml

ansible-ping:
	ansible all -i ansible/inventory.ini -m ping -u root

ansible-deploy:
	ansible-playbook -i ansible/inventory.ini ansible/playbook.yml -u root --ask-vault-pass

vault-encrypt:
	ansible-vault encrypt ansible/group_vars/vault.yml

vault-view:
	ansible-vault view ansible/group_vars/vault.yml

vault-edit:
	ansible-vault edit ansible/group_vars/vault.yml
